CUDNN Frontend API 8.3.0

Public Types | Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
nlohmann::detail::iterator_input_adapter< IteratorType > Class Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iterator_input_adapter< IteratorType >:

## Public Types
using | char_type = typename std::iterator_traits< IteratorType >::value_type

## Public Member Functions
| iterator_input_adapter (IteratorType first, IteratorType last)
std::char_traits< char_type >::int_type | get_character ()

## Private Member Functions
bool | empty () const

## Private Attributes
IteratorType | current
IteratorType | end

## Friends
template<typename BaseInputAdapter , size_t T>
struct | wide_string_input_helper

## Detailed Description

### template<typename IteratorType>
class nlohmann::detail::iterator_input_adapter< IteratorType >

Definition at line 5351 of file json.hpp.

## Member Typedef Documentation

## ◆ char_type

template<typename IteratorType >

using nlohmann::detail::iterator_input_adapter< IteratorType >::char_type = typename std::iterator_traits<IteratorType>::value_type

Definition at line 5354 of file json.hpp.

## Constructor & Destructor Documentation

## ◆ iterator_input_adapter()

template<typename IteratorType >

nlohmann::detail::iterator_input_adapter< IteratorType >::iterator_input_adapter | ( | IteratorType | first,
|  | IteratorType | last
| ) |  |
| inline

Definition at line 5356 of file json.hpp.

## Member Function Documentation

## ◆ empty()

template<typename IteratorType >

bool nlohmann::detail::iterator_input_adapter< IteratorType >::empty | ( |  | ) | const
| inlineprivate

Definition at line 5379 of file json.hpp.

## ◆ get_character()

template<typename IteratorType >

std::char_traits<char_type>::int_type nlohmann::detail::iterator_input_adapter< IteratorType >::get_character | ( |  | ) |
| inline

Definition at line 5360 of file json.hpp.

References JSON_HEDLEY_LIKELY.

## Friends And Related Function Documentation

## ◆ wide_string_input_helper

template<typename IteratorType >
template<typename BaseInputAdapter , size_t T>

friend struct wide_string_input_helper
| friend

Definition at line 5377 of file json.hpp.

## Member Data Documentation

## ◆ current

template<typename IteratorType >

IteratorType nlohmann::detail::iterator_input_adapter< IteratorType >::current
| private

Definition at line 5373 of file json.hpp.

## ◆ end

template<typename IteratorType >

IteratorType nlohmann::detail::iterator_input_adapter< IteratorType >::end
| private

Definition at line 5374 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp